メインコンテンツへスキップ
POST
/
communication-preferences
/
v3
/
unsubscribe
cURL
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/v3/unsubscribe \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emailAddress": "<string>",
  "subscriptionId": "<string>",
  "legalBasisExplanation": "<string>"
}
'
import requests

url = "https://api.hubapi.com/communication-preferences/v3/unsubscribe"

payload = {
"emailAddress": "<string>",
"subscriptionId": "<string>",
"legalBasisExplanation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emailAddress: '<string>',
subscriptionId: '<string>',
legalBasisExplanation: '<string>'
})
};

fetch('https://api.hubapi.com/communication-preferences/v3/unsubscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "description": "<string>",
  "id": "<string>",
  "name": "<string>",
  "brandId": 123,
  "legalBasisExplanation": "<string>",
  "preferenceGroupName": "<string>"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
emailAddress
string
必須
subscriptionId
string
必須
利用可能なオプション:
CONSENT_WITH_NOTICE,
LEGITIMATE_INTEREST_CLIENT,
LEGITIMATE_INTEREST_OTHER,
LEGITIMATE_INTEREST_PQL,
NON_GDPR,
PERFORMANCE_OF_CONTRACT,
PROCESS_AND_STORE

レスポンス

successful operation

description
string
必須
id
string
必須
name
string
必須
sourceOfStatus
enum<string>
必須
利用可能なオプション:
BRAND_WIDE_STATUS,
PORTAL_WIDE_STATUS,
SUBSCRIPTION_STATUS
status
enum<string>
必須
利用可能なオプション:
NOT_SUBSCRIBED,
SUBSCRIBED
brandId
integer<int64>
利用可能なオプション:
CONSENT_WITH_NOTICE,
LEGITIMATE_INTEREST_CLIENT,
LEGITIMATE_INTEREST_OTHER,
LEGITIMATE_INTEREST_PQL,
NON_GDPR,
PERFORMANCE_OF_CONTRACT,
PROCESS_AND_STORE
preferenceGroupName
string
最終更新日 2026年4月10日